#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-LhGUUK2X0Mx8y8BmxO8cFF
key:                  ghcide-1.10.0.0-LhGUUK2X0Mx8y8BmxO8cFF
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d598a7eb3e0a84b576183abc4cc19f48
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-LhGUUK2X0Mx8y8BmxO8cFF
depends:
    Diff-0.4.1-1toefkTHVOxAofxmNpSV9Z
    Glob-0.10.2-JpfvnB3vW0P6x4dywe7fSD
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee
    aeson-pretty-0.8.10-LVuk0DY7ypJ2qrpHa2QTZR array-0.5.4.0
    async-2.2.5-4JGZT0Ph9Ej3DBYAmeojJP base-4.16.4.0
    base16-bytestring-1.0.2.0-JJDfJzctQzH7t5wRSKKcuo binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-AaasGaU67AZI2uOcvgi7uv
    co-log-core-0.3.2.3-9M59M1cifGpJcKSd9VsUsC containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-KlSZTFKRqLs80an3G3bxI8
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-JQ18yZSgfw8Cgb38eE5D2k
    dependent-sum-0.7.2.0-DYFqcfLMoeIk591XT5gKg directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-DyrGKBnEhjkLNP6QCJjicq exceptions-0.10.4
    extra-1.7.16-CDnJ4IIZiy49QmNU3HquQ1 filepath-1.4.2.2
    fingertree-0.1.5.0-3irF8bBEK3x6dA4Tr2Fdmp
    focus-1.0.3.2-DuFaklJ1aGs9QNHEXL9QaT ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-2ppqT4dphsy8041uk9LODS
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-EiNPmVPw8R9F1H55rlICZK
    hashable-1.4.4.0-3NsDO7W5NBvlxFY7M8nbj
    hie-bios-0.12.0-4ZzuGn5ebt32RT0H6qoEE2
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-Aluk0R0dj0r5HaZhkT2gIu
    hls-graph-1.9.0.0-EgEjIe0453YB4l8ePmM8j7
    hls-plugin-api-1.6.0.0-KQiZtRdUhMLDCvINTWQPQE
    implicit-hie-0.1.2.7-3YbVdxdYkv02TDGCcz62s0
    implicit-hie-cradle-0.5.0.1-DsuAkEzQSz9FqLoZ5DPIdM
    lens-5.2.3-3BG1BTsYajWH51jWMi4vYO
    list-t-1.0.5.5-9v5nNtzOfX25nzGkpQb199
    lsp-1.6.0.0-DT4gnHhljAEFkxKkAe5FzR
    lsp-types-1.6.0.1-4G2dWo8pHR34g3PMsDLWrU mtl-2.2.2
    opentelemetry-0.8.0-5hz64YcONGvKdsM3qyRmBT
    optparse-applicative-0.17.1.0-92ShIE9pEy5K3fr8qppb26
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-5Y36Nmw1l1C6ihqr30uWvO
    prettyprinter-ansi-terminal-1.1.3-6HCxk4bXIqvKoLQsOREzAw
    random-1.2.1.2-3dTxaovgjM1Bg7GihufWfn
    regex-tdfa-1.3.2.2-Jqk1ZMahmcyCwODZUJ39zs
    safe-exceptions-0.1.7.4-AkiwYZ9mDGR9FbZG7JSfe4
    sorted-list-0.2.2.0-1ZAupdH8kII2FgT9tbCQn6
    sqlite-simple-0.4.19.0-9Uq8ai0mWT6JFklxE6NoZx stm-2.5.0.2
    stm-containers-1.2.1.1-FQHk7sdK9Hm1CW2w6z7Mow
    syb-0.7.2.4-Dpcmd8sO2dOH7fqJn9vSHY text-1.2.5.0
    text-rope-0.3-LZt80bPykpFtOYXyIwkxD time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-GCGuYURqqybKqtlFVsyJQb
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4c1XIGAoQE4JZSLkR4PXOi
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

